#include <iostream>
#include<vector>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,k,x;
    cin>>n>>k>>x;
    vector<int>p(n);
    for(int i=0;i<n;i++){
        cin>>p[i];
    }
    vector<int>ans(n-k+1);
    for(int i=0;i<n-k+1;i++){
        for(int j=i;j<i+k;j++){
            ans[i]+=min(j-i+1,x)*p[j];
        }
    }
    for(int i=0;i<n-k+1;i++){
        cout<<ans[i]<<" ";
    }
}